Subject: RE: r8152: "ram code speedup mode fail" error with latest RTL8156B firmware

From: Hayes Wang <[email-masked]>
Date: Wed, 11 Oct 2023 14:21:06 +0000

Forest Crossman <[email-masked]>
> Sent: Monday, October 9, 2023 8:33 AM
[...]
> Hi, all,
> 
> While looking at my kernel log today I noticed the following error:
> 
> > r8152 6-1:1.0: ram code speedup mode fail
> 
> The error appears when using the latest RTL8156B firmware (04/27/23), but
> not when using the previous version of the firmware (04/15/21).
> 
> I haven't really noticed any malfunction or degradation in the performance of
> my RTL8156B device, but I figured I'd bring this to your attention anyways just
> in case either something really is wrong with the firmware or the driver is
> simply printing the error by mistake.

I think it is caused by the content of the firmware of the PHY.
I would check it.

Best Regards,
Hayes